Loading...
Searching...
No Matches
apr_uri.h File Reference

APR-UTIL URI Routines. More...

`#include "apu.h"`
`#include "apr_network_io.h"`
Include dependency graph for apr_uri.h:

Go to the source code of this file.

## Data Structures

struct | apr_uri_t

## Macros

#define | APR_URI_FTP_DEFAULT_PORT 21
#define | APR_URI_SSH_DEFAULT_PORT 22
#define | APR_URI_TELNET_DEFAULT_PORT 23
#define | APR_URI_GOPHER_DEFAULT_PORT 70
#define | APR_URI_HTTP_DEFAULT_PORT 80
#define | APR_URI_POP_DEFAULT_PORT 110
#define | APR_URI_NNTP_DEFAULT_PORT 119
#define | APR_URI_IMAP_DEFAULT_PORT 143
#define | APR_URI_PROSPERO_DEFAULT_PORT 191
#define | APR_URI_WAIS_DEFAULT_PORT 210
#define | APR_URI_LDAP_DEFAULT_PORT 389
#define | APR_URI_HTTPS_DEFAULT_PORT 443
#define | APR_URI_RTSP_DEFAULT_PORT 554
#define | APR_URI_SNEWS_DEFAULT_PORT 563
#define | APR_URI_ACAP_DEFAULT_PORT 674
#define | APR_URI_NFS_DEFAULT_PORT 2049
#define | APR_URI_TIP_DEFAULT_PORT 3372
#define | APR_URI_SIP_DEFAULT_PORT 5060
#define | APR_URI_UNP_OMITSITEPART (1U<<0)
#define | APR_URI_UNP_OMITUSER (1U<<1)
#define | APR_URI_UNP_OMITPASSWORD (1U<<2)
#define | APR_URI_UNP_OMITUSERINFO
#define | APR_URI_UNP_REVEALPASSWORD (1U<<3)
#define | APR_URI_UNP_OMITPATHINFO (1U<<4)
#define | APR_URI_UNP_OMITQUERY (1U<<5)

## Typedefs

typedef struct apr_uri_t | apr_uri_t

## Functions

apr_port_t | apr_uri_port_of_scheme (const char *scheme_str)
char * | apr_uri_unparse (apr_pool_t *p, const apr_uri_t *uptr, unsigned flags)
apr_status_t | apr_uri_parse (apr_pool_t *p, const char *uri, apr_uri_t *uptr)
apr_status_t | apr_uri_parse_hostinfo (apr_pool_t *p, const char *hostinfo, apr_uri_t *uptr)

## Detailed Description

APR-UTIL URI Routines.